<?php
namespace Claromentis\People\Validator;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_535e3fcb3f5d89c" . "525bb618a08cc8dc" . "c" => base64_decode("LiBWYWx1ZSBtdXN0IGJlIGVpdGhlciBhIGRvY3VtZW50IElEIG9" . "yIGEgZG9jdW1lbnQgb2JqZWN0"), "_a7fdbac2a6d0ebb5bb8ea569e817" . "3d7b" => base64_decode("IiBmb3IgZGF0ZSBmaWVs" . "ZCA="), "_66a6b98e1f1601e30de10feb344f" . "cdb6" => base64_decode("SW52YWxpZCB" . "2YWx1ZSAi"), "_bd71c3b5c" . "201fc11db8" . "2ed14ce424" . "de5" => base64_decode("aW5fYXJyYX" . "k="), "_d013620d4b36b1d03509cbeff" . "31bbdb9" => base64_decode("IiBnaXZlbiBmb3IgbnVtZXJpYy" . "BmaWVsZCA="), "_3aec16c1" . "aa2104da7" . "78e412207" . "d6c415" => base64_decode("L15cZHsx" . "NH18XGR7" . "OH0kLw=="), "_bb26699a67" . "3361ff7c174" . "44a2a82deba" => base64_decode("SW52YWxpZCB2YWx1ZSBnaXZlbiBmb3IgZG9jdW1lbnQgbGluayBmaWVsZC" . "A="), "_27ba77e3" . "49cbe144e" . "8794d0c04" . "97a106" => base64_decode("IiBnaXZlbiBmb3Igc" . "2VsZWN0IGZpZWxkIA" . "=="), "_2cb499b451eb718f8" . "41aaa78dc70cc52" => base64_decode("IiBmb3IgZGF0ZS10aW1lIG" . "ZpZWxkIA=="), "_4b4a03dbe69a4c39db014be2" . "875a7313" => base64_decode("Tm9uLW51bWVyaW" . "MgdmFsdWUgIg=="), "_62d701c3c534" . "04f06345eb357" . "20a47b4" => base64_decode("aXNfbnVt" . "ZXJpYw=="), "_d155d43a39de93f85812" . "3c6b6ce31d8a" => base64_decode("cHJlZ19tYXRjaA" . "=="), "_fa96cdf58bff3b0695fb2bc0803d7b1" . "2" => base64_decode("IGRvZXMgb" . "m90IGV4aX" . "N0"), "_ac927f416851" . "0971a59508f1f" . "08cf98a" => base64_decode("L15cZHs" . "4fSQv"), "_a827c5bc10b88ccab760d95c58bfbea" . "a" => base64_decode("Q291bGQgbm90I" . "HBhcnNlIHZhbH" . "VlICI="), "_dc99f29eb97c274b4e47f6701fb2d8" . "42" => base64_decode("TWV0YW" . "RhdGEg" . "ZmllbG" . "Qg"));
use Claromentis\People\Exception\ValidationException;
use Claromentis\People\Repository\UserRepository;
class MetadataValidator
{
    protected $user_repository;
    public function __construct(UserRepository $_eeeeb0d673b7b0fd0bdca58b5541c3e0)
    {
        $this->user_repository = $_eeeeb0d673b7b0fd0bdca58b5541c3e0;
    }
    
    
    
    
    
    
    
    public function Validate(int $_8bd60f167b34bb2f633dd93934749b67, array $values) : array
    {
        $_cd32cee6e5836ae05dc7b722f2ec21e9 = new \MetaDataSet($_8bd60f167b34bb2f633dd93934749b67);
        $_cd32cee6e5836ae05dc7b722f2ec21e9->LoadAllFields();
        $output = [];
        foreach ($values as $key => $value) {
            $field = $_cd32cee6e5836ae05dc7b722f2ec21e9->GetMetaFieldByName($key);
            if ($field === false) {
                throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_dc99f29eb97c274" . "b4e47f6701fb2d84" . "2"] . $key . $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_fa96cdf58bff3b0695fb2bc0803d" . "7b12"]);
            }
            switch ($field->GetMetaType()) {
                case META_TYPE_TEXT:
                case META_TYPE_DEFAULT:
                    break;
                case META_TYPE_INT:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_62d701c3c53404" . "f06345eb35720a4" . "7b4"]($value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4b4a03dbe69" . "a4c39db014be" . "2875a7313"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_d013620d4b36b1d0" . "3509cbeff31bbdb9"] . $key);
                    }
                    break;
                case META_TYPE_DATETIME:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_d155d43a39de93f858123c6b6ce31" . "d8a"]($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_3aec16c1aa2104da7" . "78e412207d6c415"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_a827c5bc10b88ccab760d95c5" . "8bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_2cb499b4" . "51eb718f8" . "41aaa78dc" . "70cc52"] . $key);
                    }
                    break;
                case META_TYPE_SELECT:
                    $field->values->Load();
                    $_4d67cdd33a7358d7cc3b5e51df410bbb = $field->values->GetAllValues();
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_bd71c3b" . "5c201fc1" . "1db82ed1" . "4ce424de" . "5"]($value, $_4d67cdd33a7358d7cc3b5e51df410bbb)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_66a6b98e1f1601" . "e30de10feb344fc" . "db6"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_27ba77e349cbe1" . "44e8794d0c0497a" . "106"] . $key);
                    }
                    break;
                case META_TYPE_CHECK:
                    break;
                case META_TYPE_DOCLINK:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_62d701c3c53404f0" . "6345eb35720a47b4"]($value) && !$value instanceof \ERMSDocument && !$value instanceof \Claromentis\Core\Metadata\Type\DocumentObject) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_bb26699a673361ff7c174" . "44a2a82deba"] . $key . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_535e3fc" . "b3f5d89c" . "525bb618" . "a08cc8dc" . "c"]);
                    }
                    break;
                case META_TYPE_LINK:
                    break;
                case META_TYPE_USER:
                    break;
                case META_TYPE_DATE:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_d155d43a39de93f85812" . "3c6b6ce31d8a"]($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_ac927f41" . "68510971a" . "59508f1f0" . "8cf98a"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_a827c5b" . "c10b88cc" . "ab760d95" . "c58bfbea" . "a"] . $value . $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_a7fdbac2a6d0ebb5bb8ea569e8173d7" . "b"] . $key);
                    }
                    break;
                case META_TYPE_SPECIAL:
                    break;
                case META_TYPE_FILE:
                    break;
                case META_TYPE_ADDRESS:
                    break;
                case META_TYPE_MULTISELECT:
                    break;
                case META_TYPE_DATE_NO_YEAR:
                    break;
                case META_TYPE_IMAGE:
                    break;
            }
            $output[$key] = $value;
        }
    }
}